
bomb = {}
function bomb.spawn(x,y)
	table.insert(bomb, {x = x,y = y,width = 16,height = 16,radius = 50})
end
function bomb.draw()
	for i,v in ipairs(bomb) do
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end
bombblast = 100
function bomb.explode(x,y,radius,i)
	place_effect(x + 8,y + 8,180,180,coal,100000)
	for i,v in ipairs(enemy) do
		if v.x + v.width / 2 > x - radius and
		v.x + v.width / 2 < x + radius and
		v.y + v.height / 2 > y - radius and
		v.y + v.height / 2 < y + radius then
			place_effect(v.x + v.width / 2,v.y + v.height / 2,180,180,blood,100000)
			TEsound.play(death, 'sound')
			player.kills = player.kills + 1
			table.remove(enemy, i)
		end
	end
	for i,v in ipairs(kid) do
		if v.x + v.width / 2 > x - radius and
		v.x + v.width / 2 < x + radius and
		v.y + v.height / 2 > y - radius and
		v.y + v.height / 2 < y + radius then
			place_effect(v.x + v.width / 2,v.y + v.height / 2,math.random(90,360),math.random(350,360),blood,100000000)
			TEsound.play(death, 'sound')
			player.kills = player.kills + 1
			table.remove(kid, i)
		end
	end
		if player.x + player.width / 2 > x - radius and
		player.x + player.width / 2 < x + radius and
		player.y + player.height / 2 > y - radius and
		player.y + player.height / 2 < y + radius then
			if player.x + player.width / 2 < x then
				player.xvel = -bombblast
			end
			if player.x + player.width / 2 > x then
				player.xvel = bombblast
			end
			if player.y + player.height / 2 < y then
				player.yvel = -bombblast
			end
			if player.y + player.height / 2 > y then
				player.yvel = bombblast
			end
			player.health = player.health - 2
			player.color = true
			player.color_timer = 0
		end
	TEsound.play(explode, 'sound')
	table.remove(bomb, i)
end
function bomb.update(dt)
	for i,v in ipairs(bomb) do
		if player.x + player.width > v.x and
		player.x < v.x + v.width and
		player.y + player.height > v.y and
		player.y < v.y + v.height then
			bomb.explode(v.x,v.y,v.radius,i)
		end
		for ia,va in ipairs(bullet) do
			if va.x + va.width > v.x and
			va.x < v.x + v.width and
			va.y + va.height > v.y and
			va.y < v.y + v.height then
				bomb.explode(v.x,v.y,v.radius,i)
			end
		end
		for ia,va in ipairs(enemy) do
			if va.x + va.width > v.x and
			va.x < v.x + v.width and
			va.y + va.height > v.y and
			va.y < v.y + v.height then
				bomb.explode(v.x,v.y,v.radius,i)
			end
		end
	end
end

rain ={}--Rein
rain.speed = 200
function rain.spawn(x,y,dir)
	table.insert(rain, {bombnum = math.random(1,2),x = x,y = y, dir = dir,width = 32,height = 16,pic = nil,timer = 0,drop = math.random(1,love.graphics.getWidth() * camera.scaleX - 16),dropped = false})
end
function rain.draw()
	for i,v in ipairs(rain) do
		if v.pic == nil then
			love.graphics.setColor(0,0,0,155)
			love.graphics.rectangle('fill',v.x + 5,v.y + 5,v.width,v.height)
			love.graphics.setColor(0,0,255)
			love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
		else
			love.graphics.setColor(0,0,0,155)
			love.graphics.draw(v.pic,v.x + 5,v.y + 5)
			love.graphics.setColor(255,255,255)
			love.graphics.draw(v.pic,v.x,v.y)
		end
	end
end
function rain.update(dt)
	for i,v in ipairs(rain) do

		--Movement
		if v.dir == "left" then
			v.x = v.x - rain.speed * dt
		end
		if v.dir == "right" then
			v.x = v.x + rain.speed * dt
		end

		--Leave You Fat Whore
		if v.dir == "right" then
			if v.x > love.graphics.getWidth() * camera.scaleX then
				table.remove(rain, i)
			end
		end
		if v.dir == "left" then
			if v.x < -v.width then
				table.remove(rain, i)
			end
		end

		--Bombs
		if v.dropped == false then
			if v.dir == 'right' then
				if v.x > v.drop then
					bomb.spawn(v.x,v.y + v.height / 22)
					TEsound.play(poop,'sound')
					v.dropped = true
				end
			end
			if v.dir == 'left' then
				if v.x < v.drop then
					bomb.spawn(v.x + v.width,v.y + v.height / 2)
					TEsound.play(poop,'sound')
					v.dropped = true
				end
			end
		end
	end
end