interface = {}
local sub_timer = 2.5
function interface.draw()
	love.graphics.setColor(0,255,0)
	love.graphics.setFont(large2)
	--Health
	

	--Kills
	if wave[wavenum].boss == false then
		love.graphics.setColor(0,255,0)
		love.graphics.print('Kills:'..player.kills..'/'..wave[wavenum].max,love.graphics.getWidth() / 2 - large2:getWidth('Kills:'..player.kills..'/'..wave[wavenum].max) / 2,5)
		
		--$$$
	love.graphics.setFont(large2)
	love.graphics.print('$'..player.money,love.graphics.getWidth() / 2 - large2:getWidth('$'..player.money) / 2,love.graphics.getHeight() - large2:getHeight())
	end

	--Mana
	love.graphics.setColor(125,125,125)
	love.graphics.rectangle('fill',5,love.graphics.getHeight() / 2 - player.maxmana * 2 / 2,35,player.maxmana * 2)

	love.graphics.setColor(75,75,255)
	love.graphics.rectangle('fill',5,love.graphics.getHeight() / 2 - player.mana * 2 / 2,35,player.mana * 2)


	

	--Health
	love.graphics.setColor(125,125,125)
	love.graphics.rectangle('fill',love.graphics.getWidth() - 5 - 35,love.graphics.getHeight() / 2 - player.maxhealth * 20 / 2,35,player.maxhealth * 20)

	if player.health > 5 then
		love.graphics.setColor(0,255,0)
	end
	if player.health < 5 or player.health == 5 then
		love.graphics.setColor(255,255,0)
	end
	if player.health < 3 then
		love.graphics.setColor(255,0,0)
	end
	love.graphics.rectangle('fill',love.graphics.getWidth() - 5 - 35,love.graphics.getHeight() / 2 - player.health * 20 / 2,35,player.health * 20)
	
end
function interface.update(dt)
	sub_timer = sub_timer - dt
	if sub_timer < 0 then
		if run_timer == true then
			master_timer = master_timer - dt
		end
	end
end

--Notifications for waves
box_space = 50	
note = {}
function note.spawn(text)
	table.insert(note, {text = text,alpha = 254,timer = 0,fade = 350})
end
function note.draw()
	for i,v in ipairs(note) do
		love.graphics.setColor(194,0,0,v.alpha)
		love.graphics.rectangle('fill',love.graphics.getWidth() / 2 - large:getWidth(v.text) / 2 - box_space,love.graphics.getHeight() / 2 - large:getHeight() /  2 - box_space,large:getWidth(v.text) + box_space * 2,large:getHeight() + box_space * 2)
		love.graphics.setColor(0,194,0,v.alpha)
		love.graphics.rectangle('line',love.graphics.getWidth() / 2 - large:getWidth(v.text) / 2 - box_space,love.graphics.getHeight() / 2 - large:getHeight() /  2 - box_space,large:getWidth(v.text) + box_space * 2,large:getHeight() + box_space * 2)
		love.graphics.setColor(255,255,255,v.alpha)
		love.graphics.setFont(large)
		love.graphics.print(v.text,love.graphics.getWidth() / 2 - large:getWidth(v.text) / 2,love.graphics.getHeight() / 2 - large:getHeight() / 2)
	end
end
function note.update(dt)
	for i,v in ipairs(note) do
		v.timer = v.timer + dt
		if v.timer > 0.7 then
			v.alpha = v.alpha - v.fade * dt
		end
		if v.alpha < 1 then
			table.remove(note, i)
		end
		if #note > 1 then
			for ia,va in ipairs(note) do
			table.remove(note, ia)
			end
		end
	end
end

point = {}
function point.spawn(num)
	table.insert(point, {num = num,alpha = 254})
end
function point.draw()
	for i,v in ipairs(point) do
		if wave[wavenum].boss == false then
			love.graphics.setFont(large2)
			love.graphics.setColor(0,255,0,v.alpha)
			love.graphics.print('+'..v.num,love.graphics.getWidth() / 2,large:getHeight())
		end
	end
end
local pointfade = 200
function point.update(dt)
	for i,v in ipairs(point) do
		v.alpha = v.alpha - pointfade * dt
		if v.alpha < 1 then
			table.remove(point, i)
		end
	end
end



pain = {}--A number that appears when the player loses health
function pain.spawn(x,y,num)
	table.insert(pain, {x = x,y = y,num = num, alpha = 254})
end
function pain.draw()
	for i,v in ipairs(pain) do
		love.graphics.setFont(large)
		love.graphics.setColor(200,0,0,v.alpha)
		love.graphics.print('-'..v.num,v.x,v.y,0,camera.scaleX,camera.scaleY)
	end
end
function pain.update(dt)
	for i,v in ipairs(pain) do
		v.alpha = v.alpha - pointfade * dt
		if v.alpha < 1 then
			table.remove(pain, i)
		end
	end
end













