
bullet_data = {}
bullet_data[1] = {width = 16 / 4, height = 16 / 4, speed = 325, pic = nil,damage = 1,range = 275}


bulletspeed = 375
bullet = {}
function bullet.spawn(x,y,id,dir,pic)
	table.insert(bullet, {x = x, y = y,id = id, dir = dir, width = bullet_data[id].width, height = bullet_data[id].height,pic = pic})
end
function bullet.update(dt)
	for i,v in ipairs(bullet) do

		

		--Movement
		if v.dir == "right" then
			v.x = v.x + bullet_data[v.id].speed * dt
		end
		if v.dir == "left" then
			v.x = v.x - bullet_data[v.id].speed * dt
		end
		if v.dir == "up" then
			v.y = v.y - bullet_data[v.id].speed * dt
		end
		if v.dir == "down" then
			v.y = v.y + bullet_data[v.id].speed * dt
		end

		--Limits
		if v.y + v.height > love.graphics.getHeight() * camera.scaleY + 100 then
			table.remove(bullet, i)
		end
		if v.y - v.height < 0 - 100 then
			table.remove(bullet ,i)
		end
		if v.x + v.width > love.graphics.getWidth() * camera.scaleX + 100 then
			table.remove(bullet ,i)
		end
		if v.x - v.width < 0 - 100 then
			table.remove(bullet, i)
		end
	end
end









