
enemy_data = {}
enemy_data[1] = {speed = 50, pic = nil,height = 16,width = 16,health = 2,damage = 1,attack_speed = 0.5}
enemy_data[2] = {speed = 90, pic = nil,height = 16 / 2,width = 16 / 2,health = 1,damage = 0.5,attack_speed = 0.3}
enemy_data[3] = {speed = 20, pic = nil,height = 32,width = 32,damage = 2.5,health = 4,attack_speed = 0.9}

enemy = {}
function enemy.spawn(x,y,id,pic,dir)
	table.insert(enemy, {spawn_item = math.random(0,100),spawn_money = math.random(0,100),x = x, y = y,stopped = false, attack_timer = 0, id = id,health = enemy_data[id].health, pic = pic,speed = enemy_data[id].speed,width = enemy_data[id].width,height = enemy_data[id].height,dir = dir})
end
function enemy.draw()
	for i,v in ipairs(enemy) do
		if v.pic ~= nil then
			love.graphics.setColor(255,255,255)
			love.graphics.draw(v.pic,v.x,v.y)
		else
			love.graphics.setColor(0,200,0)
			love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
		end
	end
end
function enemy.update(dt)
	for i,v in ipairs(enemy) do

		--DIE WHORE
		if v.health < 1 then
			TEsound.play(death,'sound')
			point.spawn(1)
			player.kills = player.kills + 1
			if v.spawn_item < 25 then
				item.spawn(v.x + v.width / 2,v.y + v.height / 2,math.random(1,#items),nil)
			end
			if v.spawn_money < 37 then
				item.spawn(v.x + v.width / 2,v.y + v.height / 2,4,nil)
			end
			table.remove(enemy, i)
		end

		--Movement
		if v.stopped == false then
		if v.dir == 'right' then
			v.x = v.x + v.speed * dt
		end
		if v.dir == 'left' then
			v.x = v.x - v.speed * dt
		end
		if v.dir == "down" then
			v.y = v.y + v.height * dt
		end
		if v.dir == "up" then
			v.y = v.y - v.speed * dt
		end
		if v.dir == 'follow' then
			if v.y + v.width / 2 < player.y + player.height / 2 then
				v.y = v.y + v.speed * dt
			end
			if v.y + v.width / 2 > player.y + player.height / 2 then
				v.y = v.y - v.speed * dt
			end
			if v.x + v.width / 2 < player.x + player.width / 2 then
				v.x = v.x + v.speed * dt
			end
			if v.x + v.width / 2 > player.x + player.width / 2 then
				v.x = v.x - v.speed * dt
			end
		end
		end

		--Limits
		if v.dir == 'right' then
			if v.x > love.graphics.getWidth() * camera.scaleX then
				table.remove(enemy, i)
			end
		end
		if v.dir == 'left' then
			if v.x < 0 - v.width then
				table.remove(enemy, i)
			end
		end
		if v.dir == "down" then
			if v.y > love.graphics.getHeight() * camera.scaleY then
				table.remove(enemy, i)
			end
		end
		if v.dir == "up" then
			if v.y + v.height < 0 then
				table.remove(enemy, i)
			end
		end

		for ia,va in ipairs(bullet) do
			if va.x + va.width > v.x and
			va.x < v.x + v.width and
			va.y + va.height > v.y and
			va.y < v.y + v.height then
				if v.health > 1 then
					TEsound.play(hit,'sound')
				end
					if v.health - bullet_data[va.id].damage == 0 or v.health - bullet_data[va.id].damage < 1 then
						if va.dir == 'left' then
							place_effect(v.x + v.width / 2,v.y + v.height / 2,180,355,blood,math.random(50,200))
						end
						if va.dir == 'up' then
							place_effect(v.x + v.width / 2,v.y + v.height / 2,180,180.5,blood,math.random(50,200))
						end
						if va.dir == 'right' then
							place_effect(v.x + v.width / 2,v.y + v.height / 2,180,352,blood,math.random(50,200))
						end
						if va.dir == 'down' then
							place_effect(v.x + v.width / 2,v.y + v.height / 2,180,353.5,blood,math.random(50,200))
						end
					end
					v.health = v.health - bullet_data[va.id].damage
					table.remove(bullet, ia)
			end
		end
		--Attacking the fat one.
		if v.x + v.width > player.x and
		v.x < player.x + player.width and
		v.y + v.height > player.y and
		v.y < player.y + player.height then
			v.stopped = true
			player.dir = nil
		else
			v.stopped = false
			player.attacked = false
		end

		if v.stopped == true then
			v.attack_timer = v.attack_timer + dt
			if v.attack_timer > enemy_data[v.id].attack_speed then
				player.color = true
				player.color_timer = 0
				player.health = player.health - enemy_data[v.id].damage
				v.attack_timer = 0
			end
			player.attacked = true
		end
		if v.stopped == false then
			player.attacked = false
		end
	end 
end







